#pragma once


#include "ModulePaneModel.h"
#include "ModuleGUI.h"
#include "juce.h"
#include "Scene.h"

class Cursor;
class MidiMorph;
class Module;

class MorphPaneModel : public ModulePaneModel {
  private:
    Cursor* cursor;

    MidiMorph* core;


  public:
    MorphPaneModel(MidiMorph * core);

    virtual int getNumModules();

    void mouseDown(const MouseEvent & e);

    void mouseUp(const MouseEvent & e);

    virtual Module* getModule(int index);

    virtual ModuleGUI* createGUI(int index);

    void selectionChanged(const Array<ModuleGUI*> & modules);

};

