
#include "ZoomableShiftableComponent.h"
#include "ZoomingShiftingComponent.h"

void ZoomableShiftableComponent::setOriginalBounds(const Rectangle bounds) {
  // Bouml preserved body begin 0003DF0D
  // Bouml preserved body end 0003DF0D
}

//returns
float ZoomableShiftableComponent::getZoomFactorX() {
  // Bouml preserved body begin 0003AE8D
	return this->zoomingComponent->getZoomFactorX();
  // Bouml preserved body end 0003AE8D
}

//returns
float ZoomableShiftableComponent::getZoomFactorY() {
  // Bouml preserved body begin 0003E10D
	return this->zoomingComponent->getZoomFactorY();
  // Bouml preserved body end 0003E10D
}

//calcu
void ZoomableShiftableComponent::rePosition() {
  // Bouml preserved body begin 0003AF0D
	Rectangle or = getOriginalBounds();
	int w = roundFloatToInt(or.getWidth()*getZoomFactorX());
	int h = roundFloatToInt(or.getHeight()*getZoomFactorY());
	int x = roundFloatToInt(or.getX()*getZoomFactorX());
	int y = roundFloatToInt(or.getY()*getZoomFactorY());
	setBounds(zoomingComponent->getXOffset()+x,zoomingComponent->getYOffset()+y,w,h);
  // Bouml preserved body end 0003AF0D
}

void ZoomableShiftableComponent::setZoomer(ZoomingShiftingComponent * zoomer) {
  // Bouml preserved body begin 0003DC8D
	zoomingComponent = zoomer;
  // Bouml preserved body end 0003DC8D
}

void ZoomableShiftableComponent::refreshOriginalBounds() {
  // Bouml preserved body begin 0003E00D
	float x = getX()-zoomingComponent->getXOffset();
	float y = getY()-zoomingComponent->getYOffset();

	float w = getWidth()/getZoomFactorX();
	float h = getHeight()/getZoomFactorY();
	x = x/getZoomFactorX();
	y = y/getZoomFactorY();

	Rectangle or(roundFloatToInt(x),roundFloatToInt(y),roundFloatToInt(w),roundFloatToInt(h));
	setOriginalBounds(or);
  // Bouml preserved body end 0003E00D
}

